<?php 
add_action('rest_api_init', 'masna_api_register_routes');

function masna_api_register_routes() {
    register_rest_route('masnaapi/v1', '/set-assistant', array(
        'methods' => 'POST',
        'callback' => 'masna_api_set_assistant',
    ));
    register_rest_route('masnaapi/v1', '/chat', array(
        'methods' => 'POST',
        'callback' => 'masna_api_chat_post_data',
    ));
}

function masna_api_set_assistant($request) {
    $user_id_masnaseo = get_option('user_id_masnaseo');
    $site_id_masnaseo = get_option('site_id_masnaseo');
    $email_masnaseo = get_option('email_masnaseo');
    $post_id = $request->get_param('post_id');
    $status = $request->get_param('status');
    if ( $request->get_param('user_id') == $user_id_masnaseo && $request->get_param('site_id') == $site_id_masnaseo && $request->get_param('email') == $email_masnaseo){
        update_post_meta($post_id, "_masnayar", $status);
    }
    echo get_post_meta($post_id, "_masnayar", true);
}


function masna_api_chat_post_data($request) {
    $post_id = $request->get_param('post_id');
    $site_name = $request->get_param('site_name');
    $question = $request->get_param('question');
    $messages = json_decode($request->get_param('messages'), true);
    $post = get_post($post_id);
    $post_text = wp_strip_all_tags($post->post_content);
    $data = array(
        'user_id' => get_option('user_id_masnaseo'),
        'site_id' => get_option('site_id_masnaseo'),
        'email' => get_option('email_masnaseo'),
		'site_name' => $site_name,
        'question' => $question,
        'post_text' => $post_text,
        'messages' => $messages,
    );

    $data_string = json_encode($data);
    $ch = curl_init('https://masna.ir/api/chat/');
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $data_string);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
    curl_setopt($ch, CURLOPT_HTTPHEADER, array(
        'Accept: application/json',
        'Content-Type: application/json'
    ));
    $response = curl_exec($ch);
    $json_response = json_decode($response, true);
    $json_text = $json_response[0];
    echo $json_text;

    // return new WP_REST_Response($question, 200);
}
