document.addEventListener('DOMContentLoaded', function() {
    function extractMessages() {
        const messages = [];
        const responseDiv = document.getElementById('response');
        const bubbleWrappers = responseDiv.getElementsByClassName('bubbleWrapper');

        for (let i = 0; i < bubbleWrappers.length; i++) {
            const bubbleWrapper = bubbleWrappers[i];
            const ownBubble = bubbleWrapper.getElementsByClassName('ownBubble own');
            const otherBubble = bubbleWrapper.getElementsByClassName('otherBubble other');

            if (ownBubble.length > 0) {
                messages.push({ role: 'user', content: ownBubble[0].innerText });
            } else if (otherBubble.length > 0) {
                messages.push({ role: 'assistant', content: otherBubble[0].innerText });
            }
        }

        return messages;
    }

	function clickHandlerQuestionSubmit(){
		var messages = extractMessages();
	    var question = document.getElementById('question').value;
	    const hostname = window.location.hostname;
	    const protocol = window.location.protocol;
	    document.getElementById('response').innerHTML = document.getElementById('response').innerHTML + '<div class="bubbleWrapper"><div class="inlineContainer"><img class="inlineIcon" src="https://cdn1.iconfinder.com/data/icons/ninja-things-1/1772/ninja-simple-512.png"><div class="otherBubble other">' + question + '</div></div></div>';
	    var request = new XMLHttpRequest();
		const url = protocol + "//" + hostname + "/wp-json/masnaapi/v1/chat";
		request.open("POST", url, true);
		request.onreadystatechange = function () {
			if (request.readyState === 4 && request.status === 200) {
			    request_response = request.response;
			    request_response_lenght = request_response.lenght;
				document.getElementById('response').innerHTML = document.getElementById('response').innerHTML+ '<div class="bubbleWrapper"><div class="inlineContainer own"><img class="inlineIcon" src="https://www.pinclipart.com/picdir/middle/205-2059398_blinkk-en-mac-app-store-ninja-icon-transparent.png"><div class="ownBubble own">' + request_response + '</div></div></div>';
			}
		};
		var data = new FormData();
		data.append('messages', JSON.stringify(messages));
		data.append('question', question);
		data.append('site_name', hostname);
		if (typeof questionAnswerBoxData !== 'undefined') {
            var post_id = questionAnswerBoxData.post_id;
    		data.append('post_id', post_id);
        }
		request.send(data);
	}
    var submit_question = document.getElementById('submit-question');
    if (submit_question.addEventListener) {
    	submit_question.addEventListener('click', clickHandlerQuestionSubmit, true);
    } else if(submit_question.attachEvent) {
    	submit_question.attachEvent('onclick', function(){ return clickHandlerQuestionSubmit.apply(submit_question, [window.event])});
    }
});