<?php


// require_once "summarization.php";
// require_once "rewriter.php";
// require_once "functions.php";
// require_once "shortlink.php";


add_action( 'add_meta_boxes', 'wporg_add_masna_main_box' );

function wporg_add_masna_main_box() {
    $screens = [ 'post', 'wporg_cpt', 'page' ];
    foreach ( $screens as $screen ) {
        add_meta_box(
            'masna_main_box',                 // Unique ID
            'ابزار سئو آسان مثنا MES',      // Box title
            'wporg_main_box_html',  // Content callback, must be of type callable
            $screen                            // Post type
        );
    }
}


function wporg_main_box_html( $post ) {
	echo '<link rel="stylesheet" type="text/css" href="' . plugins_url ( 'css/style.css', dirname(__FILE__) ) . '">';
    ?>
<div class="masna-head-area">
    <div class="masna-mes-logo"><img src="<?php echo plugins_url ( 'images/MES-logo.svg', dirname(__FILE__) ) ?>" alt=""></div>
	<div class=masna-hamin-vaje>
		    <div class="masna-but-insert">
      <input placeholder="کلیدواژه کانونی مورد نظر خود را وارد کنید" type="text">
    </div>
		<div class="masna-but-key-area">
      <div class="masna-but-key cursor-pointer"><p>ثبت واژه کانونی</p></div>
    </div>
    <div class="masnayar masna-but-insert">
      <p>فعالسازی مثنایار</p>
  <input id="switch_masnayar" class="switch_masnayar" type="checkbox"></input>
     </div>

	</div>

<!-- 	      <div class="masna-sin-area">
      <div class="masna-sin-lk-text"><p>تغییر پیوند یکتا:</p></div>
      <div class="masna-single-link"><p>پیوند یکتا باید چنین ساختاری داشته باشدhttps://masna.ir/page-seo-review-tool/</p></div>
      <button class="masna-single-img"> <img src="<?php echo plugins_url ( 'images/copy.svg', dirname(__FILE__) ) ?>" alt=""></button>
      
      </div> -->
  </div>


<main class="masna-main-area margin-top-15">
<!--   <div class="masna-main-inner">
      <div class="masna-google-prev"><p>پیش نمایش اسنیپت (نمایش در گوگل)</p></div>
      <div class="masna-google-link"><p>https://masna.ir/page-seo-review-tool/</p></div>
      <div class="masna-google-title"><p>ابزار تحلیل محتوا سئو صفحه - مثناسئو</p></div>
      <div class="masna-google-desc"><p>ابزار تحلیل سئو صفحه سایت مثنا - یک ابزار کاربردی و آنلاین برای آنالیز و بررسی محتوای سایت، وضعیت سئو و پیشنهاد راهکارهای بهینه کردن سئو - رایگان و پریمیوم.
      </p></div>
  </div> -->


  <div class="masna-main-inner margin-top-0">
    <div class="masna-adv-img"> <img src="<?php echo plugins_url ( 'images/4-color.svg', dirname(__FILE__) ) ?>" alt=""></div>
    <div class="masna-adv-title"><p>ابزارهای سئو آسان مثنا</p></div>
    <div class="masna-adv-part-area">
      <div class="masna-adv-but masna-adv-but-active cursor-pointer" onclick="openCity(event, 'masna_suggest_tool')"><p>پیشنهاد عبارت کلیدی</p></div>
<!--       <div class="masna-adv-but" onclick="openCity(event, 'masna_image_to_text')"><p>تبدیل عکس به متن</p></div> -->
      <div class="masna-adv-but cursor-pointer" onclick="openCity(event, 'masna_content_summary')"><p>خلاصه نویسی متن</p></div>
      <div class="masna-adv-but cursor-pointer" onclick="openCity(event, 'masna_content_rewrite')"><p>بازنویسی محتوا</p></div>
      <div class="masna-adv-but cursor-pointer" onclick="openCity(event, 'masna-tool')"><p>تولید محتوا</p></div>
      <div class="masna-adv-but cursor-pointer" onclick="openCity(event, 'matn_1')"><p></p></div> 
    </div>

    <div class="masna-adv-content">

      <div id="masna_suggest_tool" class="masna-adv-keyword">
		  <div class="masna-but-input">
			<input id="masna_suggest_keyword" placeholder="کلیدواژه کانونی مورد نظر خود را وارد کنید" type="text">
		  </div>
		  <div id="masna_suggest_submit" class="masna-but-send-2 cursor-pointer"><div><p>پیشنهاد عبارت کلیدی</p></div></div>
		  <div class="masna-dev-desc"><p>برای اضافه کردن کلمات پیشنهادی به عنوان تگ بر روی «+» کلیک کنید.</p></div>

		  <div class="masna-dev-tag"><p>کلمات انتخاب شده به عنوان تگ (برچسب):</p></div>
		  <div id="masna_suggest_result_tag" class="masna-dev-tag-area padding-bottom-25">
			
		  </div>      

		  <div class="masna-dev-tag"><p>کلمات پیشنهاد شده مرتبط با کلیدواژه کانونی</p></div>
		  <div id="masna_suggest_result" class="masna-dev-tag-area">
<!-- 			<span class="masna-tag-more"><p>مشاهده بیشتر</p></span> -->
		  </div>
       </div>

		
		
		
		
		
		
		
		
  
        <div id="masna_image_to_text" class="masna-adv-keyword" style="display: None;">

      <div class="masna-border-bot">
        <div class="masna-dev-pic-text">
          <div class="masna-dev-tag margin-bottom-15"><p>تصویر مورد نظر را برای تبدیل به متن، انتخاب یا آپلود کنید.</p></div>
          <div class="masna-dev-pic-desc"><p>فرمت تصویر انتخابی برای تبدیل به متن باید JPEG یا PNG باشد.</p></div>
        </div>
        <div class="masna-dev-pic-but">
            <div id="masna_convert_pic" class="masna-convert-pic" type="button">
            <div><img src="<?php echo plugins_url ( 'images/convert-pic.svg', dirname(__FILE__) ); ?>" alt=""></div>
            <div class="masna-convert-pic-a">آپلود عکس</div>
            </div>

            <div  id="masna_convert_pdf" class="masna-convert-pic margin-left-20" type="button">
              <div><img src="<?php echo plugins_url ( 'images/convert-pdf.svg', dirname(__FILE__) ); ?>" alt=""></div>
              <div class="masna-convert-pic-a">آپلود PDF</div>
              </div>
        </div>
      </div>
      <div class="masna-uploaded-area">
        <div class="masna-uploaded-single">
          <div class="masna-up-pic">
            <div class="masna-up-img"><img src="<?php echo plugins_url ( 'images/Capture1.svg', dirname(__FILE__) ); ?>" alt=""></div>
          </div>
          <div class="masna-up-desc">
            <div class="masna-up-name"><p>scressssssssssssssssssssssssssssssssssssssssseshot 219.jpeg</p></div>
            <div class="masna-up-time"><p>1 دقیقه پیش آپلود شده</p></div>
          </div>
        </div>

        <div class="masna-uploaded-single masna-margin-right2">
          <div class="masna-up-pic">
            <div class="masna-up-img"><img src="<?php echo plugins_url ( 'images/Capture2.svg', dirname(__FILE__) ); ?>" alt=""></div>
          </div>
          <div class="masna-up-desc">
            <div class="masna-up-name"><p>scressssssssssssssssssssssssssssssssssssssssseshot 219.jpeg</p></div>
            <div class="masna-up-time"><p>1 دقیقه پیش آپلود شده</p></div>
          </div>
        </div>

        <div class="masna-uploaded-single masna-margin-right2">
          <div class="masna-up-pic">
            <div class="masna-up-img"><img src="<?php echo plugins_url ( 'images/Capture3.svg', dirname(__FILE__) ); ?>" alt=""></div>
          </div>
          <div class="masna-up-desc">
            <div class="masna-up-name"><p>scressssssssssssssssssssssssssssssssssssssssseshot 219.jpeg</p></div>
            <div class="masna-up-time"><p>1 دقیقه پیش آپلود شده</p></div>
          </div>
        </div>

        <div class="masna-uploaded-single masna-margin-right2">
          <div class="masna-up-pic">
            <div class="masna-up-img"><img src="<?php echo plugins_url ( 'images/Capture3.svg', dirname(__FILE__) ); ?>" alt=""></div>
          </div>
          <div class="masna-up-desc">
            <div class="masna-up-name"><p>scressssssssssssssssssssssssssssssssssssssssseshot 219.jpeg</p></div>
            <div class="masna-up-time"><p>1 دقیقه پیش آپلود شده</p></div>
          </div>
        </div>
        <span class="masna-tag-more"><p>مشاهده بیشتر</p></span>
        <div class="masna-border-bot"></div>
      <div class="masna-dev-tag margin-top-0"><p>متن تولید شده</p></div>
      
<!--       <form action="">               -->
        <textarea id="subject" name="subject" placeholder="متن تولید شده در اینجا نمایش داده می‌شود" style="height:200px"></textarea>
        <div class="masna-key-char-area"> <p>3874 کاراکتر</p><p>/</p><p>842 کلمه</p></div>
        
        <div class="masna-pic-but-area">
          <span class="masna-key-copic masna-key-copy margin-left-20" type="button">
            <div><img src="../images/pic-copy.svg" alt=""></div>
            <div class="masna-key-copic-a masna-key-copy-a cursor-pointer">کپی متن</div>
          </span>

<!--           <span class="masna-key-share masna-key-copic margin-left-20" type="button">
            <div><img src="../images/pic-share.svg" alt=""></div>
            <div class="masna-key-copic-a masna-key-share-a">اشتراک ‌گذاری متن</div>
          </span> -->
          
        </div>
        
<!--       </form> -->
      </div>
	</div>
  

			  
			  
		
		
		
		
		
		
		
		
			  
			  
  
        <div id="masna_content_summary" class="masna-adv-keyword" style="display: None;">

        <div class="masna-dev-pic-text">
          <div class="masna-dev-tag margin-bottom-15"><p>متن را در کادر زیر وارد و سطح خلاصه‌نویسی را تعیین کنید.</p></div>
        </div>
        <div class="masna-dev-pic-but">

          <div class="masna-slidecontainer">
            <input type="range" min="1" max="10" value="50" class="masna-slider" id="masna-myRange">
            <p>سطح خلاصه نویسی: <span id="masna_summary_coefficient"></span></p>
          </div>
        </div>

        <form action="">              
          <textarea id="insert-text" name="subject" placeholder="متن مورد نظر خود را در اینجا وارد کنید." style="height:200px"></textarea>
		<div class="masna-ch-area">
          <div class="masna-key-char-area"> <p>3874 کاراکتر</p><p>/</p><p>842 کلمه</p></div>
          <div class="masna-pic-but-area">
          <div id="masna_text_from_wordpress_for_summary" class="masna-short-but cursor-pointer"><div><p>دریافت از وردپرس</p></div></div>
<!--           <div id="masna_text_from_image_for_summary" class="masna-short-but"><div><p>دریافت از تبدیل عکس</p></div></div> -->
          <div id="masna_summary_submit" class="masna-short-but cursor-pointer masna-pl-margin-left"><div><p>خلاصه نویسی متن</p></div></div>
          </div>
			</div>
        </form>

        <div class="masna-dev-pic-text">
          <div class="masna-dev-tag margin-top-15"><p>متن خلاصه‌نویسی شده</p></div>
        </div>            
          <textarea id="masna_summary_result" name="subject" style="height:200px"></textarea>
          <div class="masna-ch-area">
			<div class="masna-key-char-area"> <p>3874 کاراکتر</p><p>/</p><p>842 کلمه</p></div>
          <div class="masna-pic-but-area-bt">
            <span class="masna-key-copic masna-key-copy" type="button">
              <div><img src="<?php echo plugins_url ( 'images/pic-copy.svg', dirname(__FILE__) ); ?>" alt=""></div>
              <div id="masna_summary_copy" class="masna-key-copic-a masna-key-copy-a cursor-pointer">کپی متن</div>
            </span>
  
<!--             <span class="masna-key-share masna-key-copic margin-left-20" type="button">
              <div><img src="<?php echo plugins_url ( 'images/pic-share.svg', dirname(__FILE__) ); ?>" alt=""></div>
              <div class="masna-key-copic-a masna-key-share-a">اشتراک ‌گذاری متن</div>
            </span> -->
			  </div>
          </div>
          </div>

        
		
		
		
		
		
		
		
		
		
        <div id="masna_content_rewrite" class="masna-adv-keyword" style="display: None;">
        <div class="masna-rewrite-area">
			
			<div class="masna-no-text-area">
          <div class="masna-no-text"><p>کدام کلمات بازنویسی نشوند؟</p></div>
			<div class="masna-no-rewrite">		
<!--             <div class="masna-select-area">
              <label id="search-book" class="search-item">عبارت پیشنهادی 1
                <input type="checkbox" checked="checked">
                <span class="checkmark"></span>
              </label>
            </div>
            <div class="masna-select-area">
              <label id="search-book" class="search-item">عبارت صحیح  مناسب پیشنهادی شماره 2
                <input type="checkbox" checked="checked">
                <span class="checkmark"></span>
              </label>
            </div>
            <div class="masna-select-area">
              <label id="search-book" class="search-item">عبارت پیشنهادی 1
                <input type="checkbox" checked="checked">
                <span class="checkmark"></span>
              </label>
            </div>
            <div class="masna-select-area">
              <label id="search-book" class="search-item">عبارت پیشنهادی 1
                <input type="checkbox" checked="checked">
                <span class="checkmark"></span>
              </label>
            </div> -->

            <div class="masna-no-re-input">
              <input placeholder="کلمه مورد نظر را تایپ کنید" type="text">
            </div>
            <div class="masna-no-re-input">
              <input placeholder="کلمه مورد نظر را تایپ کنید" type="text">
            </div>
            <div class="masna-no-re-input">
              <input placeholder="کلمه مورد نظر را تایپ کنید" type="text">
            </div>
			<div class="masna-no-re-input">
              <input placeholder="کلمه مورد نظر را تایپ کنید" type="text">
            </div>
          </div>
			</div>
			
			
			
          <div class="masna-text-box">
            <div class="masna-dev-rewrite-tag margin-bottom-15"><p>متن مورد نظر را در کادر زیر وارد کنید.</p></div>
            <div class="insert-text-rewrite" action="">              
              <div id="insert-text-rewrite" name="subject" placeholder="متن مورد نظر خود را در اینجا وارد و عباراتی که نمی خواهید بازنویسی شوند را انتخاب یا تایپ کنید." style="height:240px" contenteditable="true"></div>
<!--               <div class="masna-key-rewrite-char"> <p>3874 کاراکتر</p><p>/</p><p>842 کلمه</p></div> -->
              <div class="masna-rewrite-but-area">
              <div id="masna_text_from_summary_for_rewrite" class="masna-rewrite-but cursor-pointer masna-dashed-but"><p>دریافت از خلاصه نویسی</p></div>
<!--               <div id="masna_text_from_image_for_rewrite" class="masna-rewrite-but masna-orange-but margin-left-15"><div>دریافت از تبدیل عکس</div></div> -->
              <div id="masna_text_from_wordpress_for_rewrite" class="masna-rewrite-but masna-blue-but cursor-pointer"><p>دریافت از وردپرس</p></div>
              </div>
            </div>            
          </div>
        </div>
      <div class="masna-border-bot margin-bottom-20"></div>
<!--       <div class="masna-dev-nore">
      <div class="masna-dev-rewrite"><p>این عبارات بازنویسی نمی‌شوند: </p></div>
      <span class="masna-dev-nore-remove"><p>پیشنهاد عبارت کلیدی</p><img src="<?php echo plugins_url ( 'images/nore-remove.svg', dirname(__FILE__) ); ?>" alt=""></span>
      <span class="masna-dev-nore-remove"><p>پیشنهاد عبارت کلیدی</p><img src="<?php echo plugins_url ( 'images/nore-remove.svg', dirname(__FILE__) ); ?>" alt=""></span>
      <span class="masna-dev-nore-remove"><p>پیشنهاد عبارت کلیدی</p><img src="<?php echo plugins_url ( 'images/nore-remove.svg', dirname(__FILE__) ); ?>" alt=""></span>
      </div> -->
      <div class="masna-border-bot"></div>
      <div class="masna-top-select">
      <span class="masna-select-which" id="wrapper">
        <select id="masna_rewriter_selected" type="button">
          <option selected>برای شروع بازنویسی کلیک کنید</option>
          <option value="1">متن بازنویسی شده شماره 1</option>
          <option value="2">متن بازنویسی شده شماره 2</option>
          <option value="3">متن بازنویسی شده شماره 3</option>
          <option value="4">متن بازنویسی شده شماره 4</option>
          <option value="5">متن بازنویسی شده شماره 5</option>
          <option value="6">متن بازنویسی شده شماره 6</option>
          <option value="7">متن بازنویسی شده شماره 7</option>
          <option value="8">متن بازنویسی شده شماره 8</option>
          <option value="9">متن بازنویسی شده شماره 9</option>
          <option value="10">متن بازنویسی شده شماره 10</option>
        </select>
      </span>
	
		  <div class="masna-toggle-area">
      <div class="masna-toggle-text"><p>مقایسه با متن اصلی</p></div>
      <label class="toggle">
        <input type="checkbox">
        <span class="slider"></span>
        <span class="labels"></span>
      </label>
		 </div> 
		  
      </div>
      <div class="masna-margin-top">
      <div id="masna_rewrite_result" name="subject" style="height:200px" contenteditable="true"></div>
      <div class="masna-key-char-area"> <p>3874 کاراکتر</p><p>/</p><p>842 کلمه</p></div>
       <div class="masna-pic-but-area-re">
        <span class="masna-key-copic masna-key-copy" type="button">
          <div><img src="<?php echo plugins_url ( 'images/pic-copy.svg', dirname(__FILE__) ); ?>" alt=""></div>
          <div class="masna-key-copic-a masna-key-copy-a cursor-pointer">کپی متن</div>
        </span>

<!--        <span class="masna-key-share masna-key-copic margin-left-20" type="button">
          <div><img src="<?php echo plugins_url ( 'images/pic-share.svg', dirname(__FILE__) ); ?>" alt=""></div>
          <div class="masna-key-copic-a masna-key-share-a">اشتراک ‌گذاری متن</div>
        </span> -->
      </div> 
    </div>

      </div>

		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
	<div id="masna-tool" class="masna-adv-keyword" style="display:none">

      <div class="margin-top-15">
        <div class="logo-place">
          <div class="masna-pl-adv-img"> <img src="<?php echo plugins_url ( 'images/content-icon.svg', dirname(__FILE__) ); ?>" alt="">
          </div>
          <div class="masna-pl-f-adv-title">
            <p>ابزار تولید محتوای آسان</p>
          </div>
        </div>
        <div class="masna-adv-content">
    
          <div class="">
    
            <div class="masna-ec-step1 margin-top-10">
              <div class="masna-steps-area">
                <div class="masna-steps-img"> <img src="<?php echo plugins_url ( 'images/step-1.svg', dirname(__FILE__) ); ?>" alt="">
                </div>
                <div class="masna-pl-adv-title">
                  <p>ثبت کلیدواژه اصلی</p>
                </div>
              </div>
    
              <div class="masna-ec-but-input">
                <input id="submit-keyword" placeholder="کلیدواژه کانونی مورد نظر خود را وارد کنید" type="text">
              </div>
              <div id="find-lsi-key" class="masna-ec-but-send-1 cursor-pointer" type="submit">
                  <p>ثبت کلیدواژه اصلی</p>
              </div>
    
              <div style="display: none;" id="masna-select-method">
                <div class="masna-slct-area">
                  <p>نحوه‌ی تولید محتوا را انتخاب کنید</p>
                </div>
                <div class="masna-btn-slct">
                  <button class="masna-auto-btn">تولید محتوای تمام خودکار</button>
                  <button class="masna-semiauto-btn margin-right-4per">تولید محتوای نیمه خودکار</button>
                </div>
    
              </div>
            </div>
<!-- cccccccccccccccccccccccc -->
              <div class="masna-steps-area">
                <div class="masna-steps-img"> <img src="<?php echo plugins_url ( 'images/step-2.svg', dirname(__FILE__) ); ?>" alt="">
                </div>
                <div class="masna-pl-adv-title">
                  <p>انتخاب نوع محتوا (غیر فعال)</p>
                </div>
              </div>
                <div>
                  <div class="masna-pl-cont-single"><div class="masna-pl-cont-in-single"><a>
                    <div class="masna-pl-innert-color">
                      <div class="masna-pl-con-img"> <img src='<?php echo plugins_url ( 'icons/shopping.svg', dirname(__FILE__) ); ?>' alt=""> </div>
                      <div class="masna-pl-con-textb"> <p>فروشگاهی</p></div>
                    </div>
                  </a></div>
                  </div>

                  <div class="masna-pl-cont-single masna-pl-margin-r15"><div class="masna-pl-cont-in-single"><a>
                    <div class="masna-pl-innert-color">
                      <div class="masna-pl-con-img"> <img src='<?php echo plugins_url ( 'icons/service.svg', dirname(__FILE__) ); ?>' alt=""> </div>
                      <div class="masna-pl-con-textb"> <p>خدماتی</p></div>
                    </div>
                  </a></div>
                  </div>

                  <div class="masna-pl-cont-single masna-pl-margin-r15"><div class="masna-pl-cont-in-single"><a>
                    <div class="masna-pl-innert-color">
                      <div class="masna-pl-con-img"> <img src='<?php echo plugins_url ( 'icons/download.svg', dirname(__FILE__) ); ?>' alt=""> </div>
                      <div class="masna-pl-con-textb"> <p>دانلود</p></div>
                    </div>
                  </a></div>
                  </div>

                  <div class="masna-pl-cont-single masna-pl-margin-r15"><div class="masna-pl-cont-in-single"><a>
                    <div class="masna-pl-innert-color">
                      <div class="masna-pl-con-img"> <img src='<?php echo plugins_url ( 'icons/information.svg', dirname(__FILE__) ); ?>' alt=""> </div>
                      <div class="masna-pl-con-textb"> <p>اطلاع رسانی</p></div>
                    </div>
                  </a></div>
                  </div>

                  <div class="masna-pl-cont-single masna-pl-margin-r15"><div class="masna-pl-cont-in-single"><a>
                    <div class="masna-pl-innert-color">
                      <div class="masna-pl-con-img"> <img src='<?php echo plugins_url ( 'icons/learning.svg', dirname(__FILE__) ); ?>' alt=""> </div>
                      <div class="masna-pl-con-textb"> <p>آموزشی</p></div>
                    </div>
                  </a></div>
                  </div>
                </div>
			  <div class="masna-ec-step1">
				  
			  </div>
<!-- ccccccccccccccccccccccccccccccccc -->

            <div class="masna-ec-step1 margin-top-10">
              <div class="masna-steps-area">
                <div class="masna-steps-img"> <img src="<?php echo plugins_url ( 'images/step-3.svg', dirname(__FILE__) ); ?>" alt="">
                </div>
                <div class="masna-pl-adv-title">
                  <p>انتخاب کلمات مرتبط (LSI)</p>
                </div>
              </div>
              <div id="lsi-keywords" class="masna-dev-tag-area">
    
    
              </div>
              <span id="more-lsi-keywords" class="masna-tag-more">
                <p>مشاهده بیشتر</p>
              </span>
            </div>
    
            <div class="masna-ec-step1">
              <div class="masna-steps-area">
                <div class="masna-steps-img"> <img src="<?php echo plugins_url ( 'images/step-4.svg', dirname(__FILE__) ); ?>" alt="">
                </div>
                <div class="masna-pl-adv-title">
                  <p>تعیین عنوان اصلی</p>
                </div>
              </div>
              <div class="masna-ec-main-pro-input">
                <input id="selected-title"
                  placeholder="عنوان اصلی مطلب را وارد کنید یا بر روی پیشنهاد عنوان اصلی کلیک کنید." type="text">
              </div>
				<div class="masna-sabt-pish">
              <div id="submit-title" class="masna-ec-but-maint cursor-pointer" type="submit">
                  <p>ثبت عنوان اصلی</p>
              </div>
              <div id="find-title" class="masna-ec-but-mainpro cursor-pointer" type="submit">
                  <p>پیشنهاد عنوان</p>
              </div>
				</div>
              <div class="masna-pl-dev-pic-desc">
                <p>توصیه می‌شود کلیدواژه‌ اصلی در ابتدای عنوان آورده شود و برند کسب و کار و مواردی مثل قیمت، دانلود، خرید،
                  فروش، مشاوره و ... در ادامه.</p>
              </div>
              <div id="title-keywords" class="masna-dev-tag-area">
              </div>
              <span id="more-title" class="masna-tag-more">
                <p>مشاهده بیشتر</p>
              </span>
            </div>


            <div class="masna-ec-step1">
                <div class="masna-header-input">
                  <div class="masna-steps-area">
                    <div class="masna-steps-img"> <img src="<?php echo plugins_url ( 'images/step-5.svg', dirname(__FILE__) ); ?>"
                        alt=""></div>
                    <div class="masna-pl-adv-title">
                      <p>پیشنهاد و ثبت هدر</p>
                    </div>
					  
                  </div>
                  <div class="masna-ec-main-pro-input">
                    <input id="selected-header" placeholder="هدر مورد نظر را بنویسید و بر روی ثبت هدر کلیک کنید"
                      type="text">
                  </div>
					<div class="masna-sabt-pish">
				<div id="submit-header" class="masna-ec-but-maint cursor-pointer" type="submit">
                      <p>ثبت هدر</p>
                 </div>
                 <div id="suggest-header" class="masna-ec-but-mainpro cursor-pointer" type="submit">
                      <p>پیشنهاد هدر</p>
                 </div>
					</div>
 
                  <div class="masna-pl-dev-pic-desc">
                    <p>یکی از هدرهای پیشنهاد شده را انتخاب کرده بر روی «ثبت هدر» کلیک کنید تا محتوا تولید و در کادر بالا
                      اضافه شود.</p>
                  </div>
                </div>
    
                <div class="masna-dev-tag-area">
               <div id="headers-sugessted">
    
      </div>
                  <span id="more-titr" class="masna-tag-more">
                    <p>مشاهده بیشتر</p>
                  </span>
                </div>
              </div>


              <div class="masna-ec-step1">    
        <div class="masna-header-input">
          <div class="masna-steps-area">
            <div class="masna-steps-img"> <img src="<?php echo plugins_url ( 'images/step-6.svg', dirname(__FILE__) ); ?>" alt=""></div>
            <div class="masna-adv-title"><p>پیشنهاد توضیحات متا</p></div>
          </div>
          <div class="masna-ec-main-pro-input">
            <input id="masna-brand" placeholder="برای دریافت توضیحات متای هدفمندتر، نام برند خود را وارد کنید" type="text">
          </div>
			<div class="masna-sabt-pish">
          <div class="masna-ec-but-maint cursor-pointer" type="submit"><p>ثبت برند</p></div>
          <div class="masna-ec-but-mainpro cursor-pointer" type="submit"><p>ادامه بدون برند</p></div>
			</div>
          <div class="masna-pl-dev-pic-desc"><p>ابتدا برند خود را انتخاب کنید یا بدون انتخاب برند ادامه دهید. سپس توضیحات متای تولید شده را ویرایش کنید.</p></div>
        </div>
    
        <div class="masna-ec-content-area">
      <div class="masna-ec-title"><h2>توضیحات متا</h2>
        <div class="masna-sort-box">
        <span class="sort-inline">
        <span class="sort-box-reproduce" id="wrapper"><img src="<?php echo plugins_url ( 'images/ec-reproducei.svg', dirname(__FILE__) ); ?>" alt="">
          <select onclick="show_description_content(this)" type="button"><option selected="">انتخاب توضیحات</option><option value="masna-meta-description-1">بازتولید 1</option><option value="masna-meta-description-10">بازتولید 10</option><option value="masna-meta-description-2">بازتولید 2</option><option value="masna-meta-description-3">بازتولید 3</option><option value="masna-meta-description-4">بازتولید 4</option><option value="masna-meta-description-5">بازتولید 5</option><option value="masna-meta-description-6">بازتولید 6</option><option value="masna-meta-description-7">بازتولید 7</option><option value="masna-meta-description-8">بازتولید 8</option><option value="masna-meta-description-9">بازتولید 9</option></select>
        </span>
        </span>
        </div>
      <div style="margin-top: 20px !important;" class="masna-h-text masna-meta-description-1">
      <p></p>
      </div>
<div style="margin-top: 20px !important;display: none" class="masna-h-text masna-meta-description-2">
      <p></p>
      </div>
<div style="margin-top: 20px !important;display: none" class="masna-h-text masna-meta-description-3">
      <p></p>
      </div>
<div style="margin-top: 20px !important;display: none" class="masna-h-text masna-meta-description-4">
      <p></p>
      </div>
<div style="margin-top: 20px !important;display: none" class="masna-h-text masna-meta-description-5">
      <p></p>
      </div>
<div style="margin-top: 20px !important;display: none" class="masna-h-text masna-meta-description-6">
      <p></p>
      </div>
<div style="margin-top: 20px !important;display: none" class="masna-h-text masna-meta-description-7">
      <p></p>
      </div>
<div style="margin-top: 20px !important;display: none" class="masna-h-text masna-meta-description-8">
      <p></p>
      </div>
<div style="margin-top: 20px !important;display: none" class="masna-h-text masna-meta-description-9">
      <p></p>
      </div>
<div style="margin-top: 20px !important;display: none" class="masna-h-text masna-meta-description-10">
      <p></p>
      </div>
      </div>
    </div>
    
    
              <div class="masna-ec-content-area">
                <div id="title-selected" class="masna-ec-title"> <h2>عنوان اصلی مطلب</h2></div>
                <div id="header-selected" class="masna-ec-title">
                </div>
    
                <div class="masna-ec-title">
                  <div class="masna-ec-but-area">
                    <span id="masna-copy-text" class="masna-ec-copic masna-ec-copy margin-left-20" type="button">
                      <div><img src="<?php echo plugins_url ( 'images/ec-copy.svg', dirname(__FILE__) ); ?>" alt=""></div>
                      <div class="masna-ec-copic-a masna-ec-copy-a cursor-pointer">کپی متن</div>
                    </span>
                  </div>
    
                  <div style="display: none;" class="masna-ec-but-area margin-right-666">
                    <span class="masna-ec-copic masna-ec-copy margin-left-20" type="button">
                      <div><img src="<?php echo plugins_url ( 'images/ec-share.svg', dirname(__FILE__) ); ?>" alt=""></div>
                      <div class="masna-ec-copic-a masna-ec-copy-a cursor-pointer">اشتراک گذاری متن</div>
                    </span>
                  </div>
    
                  <div id="masna-copy-html" class="masna-ec-but-area margin-right-666">
                    <span class="masna-ec-copic masna-ec-copy margin-left-20" type="button">
                      <div><img src="<?php echo plugins_url ( 'images/ec-html.svg', dirname(__FILE__) ); ?>" alt=""></div>
                      <div class="masna-ec-copic-a masna-ec-copy-a cursor-pointer">دریافت کد Html</div>
                    </span>
                  </div>
    
                  <div class="masna-ec-but-area margin-right-666">
                    <span id="masna-start-again" class="masna-ref-copic masna-ref-copy margin-left-20" type="button">
                      <div><img src="<?php echo plugins_url ( 'images/ec-refresh.svg', dirname(__FILE__) ); ?>" alt=""></div>
                      <div class="masna-ref-copic-a masna-ref-copy-a cursor-pointer">شروع مجدد</div>
                    </span>
                  </div>
                </div>
    
    
    
    
    
    
                <div class="masna-ec-dash-border"></div>
    
    
    
    
                <div class="masna-steps-area">
                  <div class="masna-recycle-img"> <img
                      src="<?php echo plugins_url ( 'images/ec-recyclebin.svg', dirname(__FILE__) ); ?>" alt=""></div>
                  <div class="masna-recycle-title">
                    <p>سطل بازیافت</p>
                  </div>
                </div>
    
                <div id="recycle-content">
    
                </div>
    
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
    
        </div>
        </div>


</main>
















		<script>
		document.addEventListener('DOMContentLoaded', function() {
		function clickHandlerMasnaGetLsiKeywordsSubmit(){
			document.getElementById('lsi-keywords').innerHTML = '<img src="https://masna.ir/wp-content/uploads/2023/05/loading.gif" width="200">';
			var keyword = document.getElementById('submit-keyword').value;

			var request = new XMLHttpRequest();
			var url = "https://masna.ir/api/create-content/";
			request.open("POST", url, true);
			
			request.onreadystatechange = function () {
				if (request.readyState === 4 && request.status === 200) {
					document.getElementById('lsi-keywords').innerHTML = request.response;
				}
			};
			var data = new FormData();
			data.append('user_id', '<?php echo get_option('user_id_masnaseo'); ?>');
			data.append('site_id', '<?php echo get_option('site_id_masnaseo'); ?>');
			data.append('site_name', location.hostname);
			data.append('keyword', keyword);
			data.append('is_lsi', "true");
// 			data.append('lang', lang);
			request.send(data);
		}
		
		var masna_find_lsi_key = document.getElementById('find-lsi-key');
		if (masna_find_lsi_key.addEventListener) {
			masna_find_lsi_key.addEventListener('click', clickHandlerMasnaGetLsiKeywordsSubmit, true);
		} else if(masna_find_lsi_key.attachEvent) {
			masna_find_lsi_key.attachEvent('onclick', function(){ return clickHandlerMasnaGetLsiKeywordsSubmit.apply(masna_find_lsi_key, [window.event])});
		}
		
		function clickHandlerMasnaGetMoreLsiKeywordsSubmit(){
			var lsi_keywords_inner_html = document.getElementById('lsi-keywords').innerHTML;
			document.getElementById('lsi-keywords').innerHTML = lsi_keywords_inner_html + '<img src="https://masna.ir/wp-content/uploads/2023/05/loading.gif" width="200">';
			var keyword = document.getElementById('submit-keyword').value;

			var request = new XMLHttpRequest();
			var url = "https://masna.ir/api/create-content/";
			request.open("POST", url, true);
			
			request.onreadystatechange = function () {
				if (request.readyState === 4 && request.status === 200) {
					document.getElementById('lsi-keywords').innerHTML = lsi_keywords_inner_html + request.response;
				}
			};
			var data = new FormData();
			data.append('user_id', '<?php echo get_option('user_id_masnaseo'); ?>');
			data.append('site_id', '<?php echo get_option('site_id_masnaseo'); ?>');
			data.append('site_name', location.hostname);
			data.append('keyword', keyword);
			data.append('is_lsi', "true");
// 			data.append('lang', lang);
			request.send(data);
		}
		
		var masna_more_lsi_key = document.getElementById('more-lsi-keywords');
		if (masna_more_lsi_key.addEventListener) {
			masna_more_lsi_key.addEventListener('click', clickHandlerMasnaGetMoreLsiKeywordsSubmit, true);
		} else if(masna_more_lsi_key.attachEvent) {
			masna_more_lsi_key.attachEvent('onclick', function(){ return clickHandlerMasnaGetMoreLsiKeywordsSubmit.apply(masna_more_lsi_key, [window.event])});
		}

// title
		function clickHandlerMasnaGetTitleSubmit(){
			document.getElementById('title-keywords').innerHTML = '<img src="https://masna.ir/wp-content/uploads/2023/05/loading.gif" width="200">';
			var keyword = document.getElementById('submit-keyword').value;

			var request = new XMLHttpRequest();
			var url = "https://masna.ir/api/create-content/";
			request.open("POST", url, true);
			
			request.onreadystatechange = function () {
				if (request.readyState === 4 && request.status === 200) {
					document.getElementById('title-keywords').innerHTML = request.response;
				}
			};
			var data = new FormData();
			data.append('user_id', '<?php echo get_option('user_id_masnaseo'); ?>');
			data.append('site_id', '<?php echo get_option('site_id_masnaseo'); ?>');
			data.append('site_name', location.hostname);
			data.append('keyword', keyword);
			data.append('is_title', "true");
// 			data.append('lang', lang);
			request.send(data);
		}
		
		var masna_find_title = document.getElementById('find-title');
		if (masna_find_title.addEventListener) {
			masna_find_title.addEventListener('click', clickHandlerMasnaGetTitleSubmit, true);
		} else if(masna_find_title.attachEvent) {
			masna_find_title.attachEvent('onclick', function(){ return clickHandlerMasnaGetTitleSubmit.apply(masna_find_title, [window.event])});
		}
		
		function clickHandlerMasnaGetMoreTitleSubmit(){
			var title_keywords_inner_html = document.getElementById('title-keywords').innerHTML;
			document.getElementById('title-keywords').innerHTML = title_keywords_inner_html + '<img src="https://masna.ir/wp-content/uploads/2023/05/loading.gif" width="200">';
			var keyword = document.getElementById('submit-keyword').value;

			var request = new XMLHttpRequest();
			var url = "https://masna.ir/api/create-content/";
			request.open("POST", url, true);
			
			request.onreadystatechange = function () {
				if (request.readyState === 4 && request.status === 200) {
					document.getElementById('title-keywords').innerHTML = title_keywords_inner_html + request.response;
				}
			};
			var data = new FormData();
			data.append('user_id', '<?php echo get_option('user_id_masnaseo'); ?>');
			data.append('site_id', '<?php echo get_option('site_id_masnaseo'); ?>');
			data.append('site_name', location.hostname);
			data.append('keyword', keyword);
			data.append('is_title', "true");
// 			data.append('lang', lang);
			request.send(data);
		}
		
		var masna_more_title = document.getElementById('more-title');
		if (masna_more_title.addEventListener) {
			masna_more_title.addEventListener('click', clickHandlerMasnaGetMoreTitleSubmit, true);
		} else if(masna_more_title.attachEvent) {
			masna_more_title.attachEvent('onclick', function(){ return clickHandlerMasnaGetMoreTitleSubmit.apply(masna_more_title, [window.event])});
		}

// titrs			

		function clickHandlerMasnaGetTitrsSubmit(){
			document.getElementById('headers-sugessted').innerHTML = '<img src="https://masna.ir/wp-content/uploads/2023/05/loading.gif" width="200">';
			var title = document.getElementById('selected-title').value;
			console.log(title);

			var request = new XMLHttpRequest();
			var url = "https://masna.ir/api/create-content/";
			request.open("POST", url, true);
			
			request.onreadystatechange = function () {
				if (request.readyState === 4 && request.status === 200) {
					document.getElementById('headers-sugessted').innerHTML = request.response;
				}
			};
			var data = new FormData();
			data.append('user_id', '<?php echo get_option('user_id_masnaseo'); ?>');
			data.append('site_id', '<?php echo get_option('site_id_masnaseo'); ?>');
			data.append('site_name', location.hostname);
			data.append('title', title);
			data.append('is_titr', "true");
// 			data.append('lang', lang);
			request.send(data);
		}
		
		var masna_suggest_header = document.getElementById('suggest-header');
		if (masna_suggest_header.addEventListener) {
			masna_suggest_header.addEventListener('click', clickHandlerMasnaGetTitrsSubmit, true);
		} else if(masna_suggest_header.attachEvent) {
			masna_suggest_header.attachEvent('onclick', function(){ return clickHandlerMasnaGetTitrsSubmit.apply(masna_suggest_header, [window.event])});
		}
		
		function clickHandlerMasnaGetMoreTitrsSubmit(){
			var headers_sugessted_inner_html = document.getElementById('headers-sugessted').innerHTML;
			document.getElementById('headers-sugessted').innerHTML = headers_sugessted_inner_html + '<img src="https://masna.ir/wp-content/uploads/2023/05/loading.gif" width="200">';
			var title = document.getElementById('selected-title').value;

			var request = new XMLHttpRequest();
			var url = "https://masna.ir/api/create-content/";
			request.open("POST", url, true);
			
			request.onreadystatechange = function () {
				if (request.readyState === 4 && request.status === 200) {
					document.getElementById('headers-sugessted').innerHTML = headers_sugessted_inner_html + request.response;
				}
			};
			var data = new FormData();
			data.append('user_id', '<?php echo get_option('user_id_masnaseo'); ?>');
			data.append('site_id', '<?php echo get_option('site_id_masnaseo'); ?>');
			data.append('site_name', location.hostname);
			data.append('title', title);
			data.append('is_titr', "true");
// 			data.append('lang', lang);
			request.send(data);
		}
		
		var masna_more_titr = document.getElementById('more-titr');
		if (masna_more_titr.addEventListener) {
			masna_more_titr.addEventListener('click', clickHandlerMasnaGetMoreTitrsSubmit, true);
		} else if(masna_more_titr.attachEvent) {
			masna_more_titr.attachEvent('onclick', function(){ return clickHandlerMasnaGetMoreTitrsSubmit.apply(masna_more_titr, [window.event])});
		}

			

			
		function clickHandlerMasnaTitleSubmit(){
			document.getElementById('title-selected').innerHTML = "<h1>" + document.getElementById('selected-title').value + "</h1>";
		}
		
		var masna_submit_title = document.getElementById('submit-title');
		if (masna_submit_title.addEventListener) {
			masna_submit_title.addEventListener('click', clickHandlerMasnaTitleSubmit, true);
		} else if(masna_submit_title.attachEvent) {
			masna_submit_title.attachEvent('onclick', function(){ return clickHandlerMasnaTitleSubmit.apply(masna_submit_title, [window.event])});
		}
		
		function clickHandlerMasnaAddHeaderSubmit(){
			document.getElementById('header-selected').innerHTML = document.getElementById('header-selected').innerHTML + '<div class="masna-ec-header-area"><div class="masna-ec-line1"><div class="masna-ec-h"><h2>' + document.getElementById('selected-header').value + '</h2></div></div><div class="masna-ec-line2"><div class="masna-sort-header-l"><span class="sort-inline"><span class="sort-box-header-l" id="wrapper"><select class="set-header-content" type="button" onClick="set_header_level(this)"><option value="h2" selected>H2</option><option value="h3">H3</option><option value="h4">H4</option></select></span></span></div><div class="masna-ec-del" onClick="transport_to_recycle_bin(this)"><div class="masna-del-img"> <img src="/wp-content/plugins/masna/images/ec-deletei.svg" alt=""></div><div class="masna-del-font del-color"><p>حذف</p></div></div><div class="masna-ec-del" style="display: none" onClick="recycle_content(this)"><div class="masna-restore-img"> <img src="/wp-content/plugins/masna/images/ec-restore.svg" alt=""></div><div class="masna-restore-font restore-color"><p>بازگردانی</p></div></div><div class="masna-ec-del"><div class="masna-ec-del"><div class="masna-ec-del"><div class="masna-move-img" onClick="move_up_element(this)"> <img src="/wp-content/plugins/masna/images/ec-moveup.svg" alt=""></div></div><div class="masna-ec-del"><div class="masna-move-img" onClick="move_down_element(this)"> <img src="/wp-content/plugins/masna/images/ec-movedw.svg" alt=""></div></div><div class="masna-sort-box"><span class="sort-inline"><span class="sort-box-rewrite" id="wrapper"><img src="/wp-content/plugins/masna/images/ec-rewritei.svg" alt=""><select type="button" class="rewrite-content" onClick="show_content(this)"><option value="content-rewrite-0" selected>متن اصلی</option><option value="content-rewrite-1">بازنویسی 1</option><option value="content-rewrite-2">بازنویسی 2</option><option value="content-rewrite-3">بازنویسی 3</option></select></span></span></div><div class="masna-sort-box"><span class="sort-inline"><span class="sort-box-reproduce" id="wrapper"><img src="/wp-content/plugins/masna/images/ec-reproducei.svg" alt=""><select type="button" class="produce-content" onClick="show_content(this)"><option selected value="select-content-producer">انتخاب محتوا</option><option value="content-produce-1">بازتولید 1</option><option value="content-produce-2">بازتولید 2</option><option value="content-produce-3">بازتولید 3</option></select></span></span></div></div>' +
'<div class="masna-h-text content-produce-1 content-rewrite-0" style="display: none"><p></p></div><div class="masna-h-text content-produce-2 content-rewrite-0" style="display: none"><p></p></div><div class="masna-h-text content-produce-3 content-rewrite-0" style="display: none"><p></p></div>' +
'<div class="masna-h-text content-produce-1 content-rewrite-1" style="display: none"><p></p></div><div class="masna-h-text content-produce-2 content-rewrite-1" style="display: none"><p></p></div><div class="masna-h-text content-produce-3 content-rewrite-1" style="display: none"><p></p></div>' +
'<div class="masna-h-text content-produce-1 content-rewrite-2" style="display: none"><p></p></div><div class="masna-h-text content-produce-2 content-rewrite-2" style="display: none"><p></p></div><div class="masna-h-text content-produce-3 content-rewrite-2" style="display: none"><p></p></div>' +
'<div class="masna-h-text content-produce-1 content-rewrite-3" style="display: none"><p></p></div><div class="masna-h-text content-produce-2 content-rewrite-3" style="display: none"><p></p></div><div class="masna-h-text content-produce-3 content-rewrite-3" style="display: none"><p></p></div>' + '</div></div></div>';
			
		}
		
		
		var masna_submit_header = document.getElementById('submit-header');
		if (masna_submit_header.addEventListener) {
			masna_submit_header.addEventListener('click', clickHandlerMasnaAddHeaderSubmit, true);
		} else if(masna_submit_header.attachEvent) {
			masna_submit_header.attachEvent('onclick', function(){ return clickHandlerMasnaAddHeaderSubmit.apply(masna_submit_header, [window.event])});
		}


		function clickHandlerMasnaStartAgainSubmit(){
			document.getElementById('submit-keyword').value = "";
			document.getElementById('selected-title').value = "";
			document.getElementById('selected-header').value = "";
			document.getElementById('lsi-keywords').innerHTML = "";
			document.getElementById('title-keywords').innerHTML = "";
			document.getElementById('headers-sugessted').innerHTML = "";
			document.getElementById('title-selected').innerHTML = "<h1>عنوان اصلی مطلب</h1>";
			document.getElementById('header-selected').innerHTML = "";
			document.getElementById('recycle-content').innerHTML = "";
		}
		var masna_start_again = document.getElementById('masna-start-again');
		if (masna_start_again.addEventListener) {
			masna_start_again.addEventListener('click', clickHandlerMasnaStartAgainSubmit, true);
		} else if(masna_start_again.attachEvent) {
			masna_start_again.attachEvent('onclick', function(){ return clickHandlerMasnaAddHeaderSubmit.apply(masna_start_again, [window.event])});
		}


		function clickHandlerMasnaCopyTextSubmit(){
			var title = document.getElementById('title-selected').innerText;
			var div_contents = document.getElementById('header-selected');
			var result = title;
			var div_contents_children = div_contents.children;
			for (var i = 0; i < div_contents_children.length; i++) {
			  var div_content = div_contents_children[i];
				var h2s = div_content.getElementsByTagName("h2");
				if (h2s.length == 1){result = result + "\n" + h2s[0].innerText;}
				var h3s = div_content.getElementsByTagName("h3");
				if (h3s.length == 1){result = result + "\n" + h3s[0].innerText;}
				var h4s = div_content.getElementsByTagName("h4");
				if (h4s.length == 1){result = result + "\n" + h3s[0].innerText;}
				var div_content_ps = div_content.getElementsByClassName("masna-h-text") ;
				for (var j = 0; j < div_content_ps.length; j++) {
					if (div_content_ps[j].style.display != "none"){
						result = result + '\n' + div_content_ps[j].innerText;
					}
				}
			}
			navigator.clipboard.writeText(result);
		}
		var masna_copy_text = document.getElementById('masna-copy-text');
		if (masna_copy_text.addEventListener) {
			masna_copy_text.addEventListener('click', clickHandlerMasnaCopyTextSubmit, true);
		} else if(masna_copy_text.attachEvent) {
			masna_copy_text.attachEvent('onclick', function(){ return clickHandlerMasnaCopyTextSubmit.apply(masna_copy_text, [window.event])});
		}


		function clickHandlerMasnaCopyHtmlSubmit(){
			var title = document.getElementById('title-selected').innerText;
			var div_contents = document.getElementById('header-selected');
			var result = '<h1>' + title + '</h1>';
			var div_contents_children = div_contents.children;
			for (var i = 0; i < div_contents_children.length; i++) {
			  var div_content = div_contents_children[i];
				var h2s = div_content.getElementsByTagName("h2");
				if (h2s.length == 1){result = result + "<h2>" + h2s[0].innerText + '</h2>';}
				var h3s = div_content.getElementsByTagName("h3");
				if (h3s.length == 1){result = result + "<h3>" + h3s[0].innerText + '</h3>';}
				var h4s = div_content.getElementsByTagName("h4");
				if (h4s.length == 1){result = result + "<h4>" + h3s[0].innerText + '</h4>';}
				var div_content_ps = div_content.getElementsByClassName("masna-h-text") ;
				for (var j = 0; j < div_content_ps.length; j++) {
					if (div_content_ps[j].style.display != "none"){
						result = result + "<p>" + div_content_ps[j].innerText + "</p>";
					}
				}
			}
			navigator.clipboard.writeText(result);
		}
		var masna_copy_html = document.getElementById('masna-copy-html');
		if (masna_copy_html.addEventListener) {
			masna_copy_html.addEventListener('click', clickHandlerMasnaCopyHtmlSubmit, true);
		} else if(masna_copy_html.attachEvent) {
			masna_copy_html.attachEvent('onclick', function(){ return clickHandlerMasnaCopyHtmlSubmit.apply(masna_copy_html, [window.event])});
		}


});
	function set_header_level(elem)	{
		var parentElem = elem.parentNode.parentNode.parentNode.parentNode;
		var elems = parentElem.getElementsByClassName("masna-ec-h");
		elems[0].innerHTML = '<' + elem.value +'>' + elems[0].innerText + '</' + elem.value + '>'
	}
	
	function produce_or_rewrite_content(content_element, content_produced, content_title, content_produce_class, content_rewrite_class){
		if (content_element.innerHTML != '<p><img src="https://masna.ir/wp-content/uploads/2023/05/loading.gif" width="200"></p>' && content_element.innerText == ""){
			console.log(content_element.innerHTML);
			content_element.innerHTML = '<p><img src="https://masna.ir/wp-content/uploads/2023/05/loading.gif" width="200"></p>';
			var request = new XMLHttpRequest();
			var url = "https://masna.ir/api/create-content/";
			request.open("POST", url, true);

			request.onreadystatechange = function () {
				if (request.readyState === 4 && request.status === 200) {
					content_element.innerHTML = request.response;
				}
			};
			var data = new FormData();
			data.append('user_id', '<?php echo get_option('user_id_masnaseo'); ?>');
			data.append('site_id', '<?php echo get_option('site_id_masnaseo'); ?>');
			data.append('site_name', location.hostname);
			data.append('content_title', content_title);
			data.append('content_element', content_element.innerText);
			data.append('content_produce_class', content_produce_class);
			data.append('content_rewrite_class', content_rewrite_class);
			data.append('content_produced', content_produced.innerText);
			request.send(data);
		}
	}
	function show_content(elem)	{
		var parentElem = elem.parentNode.parentNode.parentNode.parentNode.parentNode;
		var content_produce_class = parentElem.getElementsByClassName("produce-content")[0].value;
		if (content_produce_class != "select-content-producer"){
			var content_rewrite_class = parentElem.getElementsByClassName("rewrite-content")[0].value;
			var elems = parentElem.getElementsByClassName("masna-h-text");
			for (eleme of elems) {
				eleme.style.display = "none"; 
			}
			var targetElemes = parentElem.getElementsByClassName(content_produce_class + ' ' +content_rewrite_class);
			var content_element = targetElemes[0];
			content_element.style.display = "block";
			var content_produced = parentElem.getElementsByClassName(content_produce_class + ' content-rewrite-0')[0];
			var elems = parentElem.parentNode.getElementsByClassName("masna-ec-h");
			var content_title = elems[0].innerText;
			produce_or_rewrite_content(content_element, content_produced, content_title, content_produce_class, content_rewrite_class)
		}
	}
	function produce_description_content(content_produced, masna_brand, keyword, lsi_keywords){
		if (content_produced.innerHTML != '<p><img src="https://masna.ir/wp-content/uploads/2023/05/loading.gif" width="200"></p>' && content_produced.innerText == ""){
			console.log(content_produced.innerHTML);
			content_produced.innerHTML = '<p><img src="https://masna.ir/wp-content/uploads/2023/05/loading.gif" width="200"></p>';
			var request = new XMLHttpRequest();
			var url = "https://masna.ir/api/create-content/";
			request.open("POST", url, true);

			request.onreadystatechange = function () {
				if (request.readyState === 4 && request.status === 200) {
					content_produced.innerHTML = request.response;
				}
			};
			var data = new FormData();
			data.append('user_id', '<?php echo get_option('user_id_masnaseo'); ?>');
			data.append('site_id', '<?php echo get_option('site_id_masnaseo'); ?>');
			data.append('site_name', location.hostname);
			data.append('content_produced', content_produced.innerText);
			data.append('brand', masna_brand);
			data.append('keyword', keyword);
			data.append('lsi_keywords', lsi_keywords);
			data.append('is_description', "true");
			request.send(data);
		}
	}
	function show_description_content(elem)	{
		var parentElem = elem.parentNode.parentNode.parentNode.parentNode;
		var description_contents_class = parentElem.getElementsByClassName("masna-h-text");
		for (description_content_class of description_contents_class) {
			description_content_class.style.display = "none"; 
		}
		var targetElemes = parentElem.getElementsByClassName(elem.value);
		var content_produced = targetElemes[0];
		content_produced.style.display = "block";;
		var masna_brand = document.getElementById('masna-brand').value;
		var keyword = document.getElementById('submit-keyword').value;
		var lsi_keywords = "";
		var lsi_keywords_selected = document.getElementById('lsi-keywords').getElementsByClassName("masna-dev-tag-selected");
		
		for (lsi_keyword_selected of lsi_keywords_selected) {
			lsi_keywords = lsi_keywords + lsi_keyword_selected.innerText + ","; 
		}
		console.log(lsi_keywords)
		console.log(keyword)
		produce_description_content(content_produced, masna_brand, keyword, lsi_keywords)
	}
	function transport_to_recycle_bin(elem){
		var parentElem = elem.parentNode.parentNode;
		parentElem.getElementsByClassName("sort-inline")[0].parentNode.style.display = "none";
		parentElem.getElementsByClassName("masna-sort-box")[0].parentNode.style.display = "none";
		parentElem.getElementsByClassName("masna-sort-box")[1].parentNode.style.display = "none";
		parentElem.getElementsByClassName("del-color")[0].parentNode.style.display = "none";
		parentElem.getElementsByClassName("restore-color")[0].parentNode.style.display = "block";
		var fragment = document.createDocumentFragment();
		fragment.appendChild(parentElem);
		document.getElementById('recycle-content').appendChild(fragment);
	}
	function recycle_content(elem){
		var parentElem = elem.parentNode.parentNode;
		parentElem.getElementsByClassName("sort-inline")[0].parentNode.style.display = "block";
		parentElem.getElementsByClassName("masna-sort-box")[0].parentNode.style.display = "block";
		parentElem.getElementsByClassName("masna-sort-box")[1].parentNode.style.display = "block";
		parentElem.getElementsByClassName("restore-color")[0].parentNode.style.display = "none";
		parentElem.getElementsByClassName("del-color")[0].parentNode.style.display = "block";
		var fragment = document.createDocumentFragment();
		fragment.appendChild(parentElem);
		document.getElementById('header-selected').appendChild(fragment);
	}
	function move_up_element(elem){
		var parentElem = elem.parentNode.parentNode.parentNode.parentNode.parentNode;
		console.log(parentElem);
		if (parentElem.previousElementSibling){
			parentElem.parentNode.insertBefore(parentElem, parentElem.previousElementSibling);
		}
	}
	function move_down_element(elem){
		var parentElem = elem.parentNode.parentNode.parentNode.parentNode.parentNode;
		console.log(parentElem);
		if (parentElem.nextElementSibling){
			parentElem.parentNode.insertBefore(parentElem.nextElementSibling, parentElem);
		}
	}
	function select_lsi_keyword(elem){
		var parentElem = elem.parentNode;
		parentElem.innerHTML = '<p>'+parentElem.innerText+'</p><div class="masna-img-selector" onClick="unselect_lsi_keyword(this)"><img alt="" src="/wp-content/plugins/masna/images/selected-keyword.svg"></div>';
		parentElem.classList.remove('masna-dev-tag-add');
		parentElem.classList.add('masna-dev-tag-selected');
	}
	function unselect_lsi_keyword(elem){
		var parentElem = elem.parentNode;
		parentElem.innerHTML = '<p>'+parentElem.innerText+'</p><div class="masna-img-selector" onClick="select_lsi_keyword(this)"><img alt="" src="/wp-content/plugins/masna/images/add-keyword.svg"></div>';

        parentElem.classList.remove('masna-dev-tag-selected');
        parentElem.classList.add('masna-dev-tag-add');
	}
	function select_title_keyword(elem){
		var parentElem = elem.parentNode;
		document.getElementById('title-selected').innerHTML = "<h1>" + parentElem.innerText + "</h1>";
		document.getElementById('selected-title').value = parentElem.innerText;
		parentElem.innerHTML = '<p>'+parentElem.innerText+'</p><div class="masna-img-selector" onClick="unselect_title_keyword(this)"><img alt="" src="/wp-content/plugins/masna/images/selected-keyword.svg"></div>';
		parentElem.classList.remove('masna-dev-tag-add');
		parentElem.classList.add('masna-dev-tag-selected');
	}
	function unselect_title_keyword(elem){
		var parentElem = elem.parentNode;
		parentElem.innerHTML = '<p>'+parentElem.innerText+'</p><div class="masna-img-selector" onClick="select_title_keyword(this)"><img alt="" src="/wp-content/plugins/masna/images/add-keyword.svg"></div>';

        parentElem.classList.remove('masna-dev-tag-selected');
        parentElem.classList.add('masna-dev-tag-add');
	}
	function select_titr_keyword(elem){
		var parentElem = elem.parentNode;
		document.getElementById('selected-header').value = parentElem.innerText
		document.getElementById('header-selected').innerHTML = document.getElementById('header-selected').innerHTML + '<div class="masna-ec-header-area"><div class="masna-ec-line1"><div class="masna-h-area-1"><div class="masna-ec-h"><h2>' + parentElem.innerText + '</h2></div></div><div class="masna-sort-header-l"><span class="sort-inline"><span class="sort-box-header-l" id="wrapper"><select class="set-header-content" type="button" onClick="set_header_level(this)"><option value="h2" selected>H2</option><option value="h3">H3</option><option value="h4">H4</option></select></span></span></div></div><div class="masna-ec-del" onClick="transport_to_recycle_bin(this)"><div class="masna-del-img"> <img src="/wp-content/plugins/masna/images/ec-deletei.svg" alt=""></div><div class="masna-del-font del-color"><p>حذف</p></div></div><div class="masna-ec-del" style="display: none" onClick="recycle_content(this)"><div class="masna-restore-img"> <img src="/wp-content/plugins/masna/images/ec-restore.svg" alt=""></div><div class="masna-restore-font restore-color"><p>بازگردانی</p></div></div><div class="masna-ec-del"><div class="masna-ec-del"><div class="masna-ec-del"><div class="masna-move-img" onClick="move_up_element(this)"> <img src="/wp-content/plugins/masna/images/ec-moveup.svg" alt=""></div></div><div class="masna-ec-del"><div class="masna-move-img" onClick="move_down_element(this)"> <img src="/wp-content/plugins/masna/images/ec-movedw.svg" alt=""></div></div><div class="masna-sort-box"><span class="sort-inline"><span class="sort-box-rewrite" id="wrapper"><img src="/wp-content/plugins/masna/images/ec-rewritei.svg" alt=""><select type="button" class="rewrite-content" onClick="show_content(this)"><option value="content-rewrite-0" selected>متن اصلی</option><option value="content-rewrite-1">بازنویسی 1</option><option value="content-rewrite-2">بازنویسی 2</option><option value="content-rewrite-3">بازنویسی 3</option></select></span></span></div><div class="masna-sort-box"><span class="sort-inline"><span class="sort-box-reproduce" id="wrapper"><img src="/wp-content/themes/seosight-child/plugin/images/ec-reproducei.svg" alt=""><select type="button" class="produce-content" onClick="show_content(this)"><option selected value="select-content-producer">انتخاب محتوا</option><option value="content-produce-1">بازتولید 1</option><option value="content-produce-2">بازتولید 2</option><option value="content-produce-3">بازتولید 3</option></select></span></span></div></div>' +
'<div class="masna-h-text content-produce-1 content-rewrite-0" style="display: none"><p></p></div><div class="masna-h-text content-produce-2 content-rewrite-0" style="display: none"><p></p></div><div class="masna-h-text content-produce-3 content-rewrite-0" style="display: none"><p></p></div>' +
'<div class="masna-h-text content-produce-1 content-rewrite-1" style="display: none"><p></p></div><div class="masna-h-text content-produce-2 content-rewrite-1" style="display: none"><p></p></div><div class="masna-h-text content-produce-3 content-rewrite-1" style="display: none"><p></p></div>' +
'<div class="masna-h-text content-produce-1 content-rewrite-2" style="display: none"><p></p></div><div class="masna-h-text content-produce-2 content-rewrite-2" style="display: none"><p></p></div><div class="masna-h-text content-produce-3 content-rewrite-2" style="display: none"><p></p></div>' +
'<div class="masna-h-text content-produce-1 content-rewrite-3" style="display: none"><p></p></div><div class="masna-h-text content-produce-2 content-rewrite-3" style="display: none"><p></p></div><div class="masna-h-text content-produce-3 content-rewrite-3" style="display: none"><p></p></div>' + '</div></div></div></div>';
		parentElem.innerHTML = '<p>'+parentElem.innerText+'</p><div class="masna-img-selector" onClick="unselect_titr_keyword(this)"><img alt="" src="/wp-content/themes/seosight-child/plugin/images/selected-keyword.svg"></div>';
		parentElem.classList.remove('masna-dev-tag-add');
		parentElem.classList.add('masna-dev-tag-selected');
	}
	function unselect_titr_keyword(elem){
		var parentElem = elem.parentNode;
		parentElem.innerHTML = '<p>'+parentElem.innerText+'</p><div class="masna-img-selector" onClick="select_titr_keyword(this)"><img alt="" src="/wp-content/plugins/masna/images/add-keyword.svg"></div>';

        parentElem.classList.remove('masna-dev-tag-selected');
        parentElem.classList.add('masna-dev-tag-add');
	}

		</script>




















<script>
  var slider = document.getElementById("masna-myRange");
  var output = document.getElementById("masna_summary_coefficient");
  output.innerHTML = slider.value;
  
  slider.oninput = function() {
    output.innerHTML = this.value;
  }
  
  </script>
<script>
function openCity(evt, cityName) {
  var i, tabcontent, tablinks;
  tabcontent = document.getElementsByClassName("masna-adv-keyword");
  for (i = 0; i < tabcontent.length; i++) {
    tabcontent[i].style.display = "none";
  }
  tablinks = document.getElementsByClassName("masna-adv-but");
  for (i = 0; i < tablinks.length; i++) {
    tablinks[i].className = tablinks[i].className.replace(" masna-adv-but-active", "");
  }
  document.getElementById(cityName).style.display = "block";
  evt.currentTarget.className += " masna-adv-but-active";
}


$(document).ready(function(){
      $('#switch_1').on('click',function(){
       if ($(this).is(':checked')) {$('.textarea').addClass('textareaactive');$('.textareaold').addClass('textareaoldactive');}
       else{$('.textarea').removeClass('textareaactive');$('.textareaold').removeClass('textareaoldactive');}

});
})


$(document).ready(
    function(){
        $("#download").click(function () {
            $(".down_report_box").toggle();
        });
    });


</script>
<script>
	function clickHandlerMasnaSuggestSubmit(){
		document.getElementById('masna_suggest_result').innerHTML = '<img style="width:40px" src="/wp-content/plugins/masna/images/refresh.gif">';
		var request = new XMLHttpRequest();
		var url = "https://masna.ir/api/";
		request.open("POST", url, true);

		request.onreadystatechange = function () {
			if (request.readyState === 4 && request.status === 200) {
// 				masna_suggest_result
				var text = "";
				var resp = request.response;
				var new_resp = resp.replace(", ]", "]");
				var result = JSON.parse(new_resp);
				
				for (let i = 0; i < result.length; i++) {
					text += '<span class="masna-dev-tag-add"><p>' + result[i] + '</p><img src="' + '<?php echo plugins_url ( "images/add-keyword.svg", dirname(__FILE__) ); ?>' +'" alt="" onClick="get_more(event, ' + "'" + i.toString() + "','" + result[i] + "'" + ')"></span>';
				}
				document.getElementById('masna_suggest_result').innerHTML = text;
// 					var jsonData = JSON.parse(request.response);
			}
		};
		var data = new FormData();
		data.append('user_id', '<?php echo get_option('user_id_masnaseo'); ?>');
		data.append('site_id', '<?php echo get_option('site_id_masnaseo'); ?>');
		data.append('site_name', location.hostname);
		var suggest_keyword =  document.getElementById("masna_suggest_keyword").value;
		data.append('suggest_keyword', suggest_keyword);
		request.send(data);
	}
	var masna_suggest_submit = document.getElementById('masna_suggest_submit');
	if (masna_suggest_submit.addEventListener) {
		masna_suggest_submit.addEventListener('click', clickHandlerMasnaSuggestSubmit, true);
	} else if(masna_suggest_submit.attachEvent) {
		masna_suggest_submit.attachEvent('onclick', function(){ return clickHandlerMasnaSuggestSubmit.apply(masna_suggest_submit, [window.event])});
	}
	function get_more(eve,id,str){
		var j = 0;
		var masna_suggest_result_tag = document.getElementById('masna_suggest_result_tag');
		masna_suggest_result_tag.innerHTML += '<span class="masna-dev-tag-remove"><p>' + str + '</p><img src="' + '<?php echo plugins_url ( "images/remove-keyword.svg", dirname(__FILE__) ); ?>' +'" alt="" onClick="masna_remove_more(' + "'" + "1" + "','" + str + "'" + ')"></span>';
		eve.currentTarget.parentElement.className = "masna-dev-tag-selected";
		eve.currentTarget.parentElement.innerHTML = '<p>' + str + '</p><img src="' + '<?php echo plugins_url ( "images/selected-keyword.svg", dirname(__FILE__) ); ?>' +'" alt="" onClick="masna_remove_more(' + "'" + "1" + "','" + str + "'" + ')">';
		var tag_masna = document.getElementById("new-tag-post_tag").value;
		if (tag_masna){
			document.getElementById("new-tag-post_tag").value = tag_masna+","+str;
			document.getElementsByClassName("tagadd")[0].click();
		} else {
			document.getElementById("new-tag-post_tag").value = str;
			document.getElementsByClassName("tagadd")[0].click();
		}
		j += 1;
		var count = $("#"+id).children().length;
		event.stopPropagation();
		if(count>0){
			var e = document.getElementById(""+id+"");

			//e.firstElementChild can be used.
			var child = e.lastElementChild;
			while (child) {
				e.removeChild(child);
				child = e.lastElementChild;
			}
		}
	}

	function clickHandlerMasnaSuggestSumTags(){
		var tag_masna = document.getElementById('new-tag-post_tag').value;
		var child_nodes = document.getElementById('masna_suggest_result').childNodes;
		var tags = "";
		var i = 0;
		child_nodes.forEach(sumTags);
		function sumTags(value) {
			tags += value.textContent + ",";
			if (i > 10) {
				document.getElementById('new-tag-post_tag').value = tags;
				document.getElementsByClassName("tagadd")[0].click();
				tags = "";
				i = 0;
			}
			i += 1;
		}
	}
	var masna_suggest_submit_tags = document.getElementById('masna_suggest_submit_tags');
	if (masna_suggest_submit_tags.addEventListener) {
		masna_suggest_submit_tags.addEventListener('click', clickHandlerMasnaSuggestSumTags, true);
	} else if(masna_suggest_submit_tags.attachEvent) {
		masna_suggest_submit_tags.attachEvent('onclick', function(){ return clickHandlerMasnaSuggestSumTags.apply(masna_suggest_submit_tags, [window.event])});
	}
</script>


	<script>
		
		function clickHandlerMasnaSummarySubmit(){
			
			var total_content = document.getElementById('insert-text').value;
			var request = new XMLHttpRequest();
			var url = "https://masna.ir/api/";
			request.open("POST", url, true);
			
			request.onreadystatechange = function () {
				if (request.readyState === 4 && request.status === 200) {
					document.getElementById('masna_summary_result').value = request.response
// 					var jsonData = JSON.parse(request.response);
				}
			};
			var data = new FormData();
			data.append('user_id', '<?php echo get_option('user_id_masnaseo'); ?>');
			data.append('site_id', '<?php echo get_option('site_id_masnaseo'); ?>');
			data.append('site_name', location.hostname);
			data.append('total_content', total_content);
			var summary_coefficient = document.getElementById("masna_summary_coefficient").innerHTML;
			data.append('summary_coefficient', summary_coefficient);
			request.send(data);
		}
		var masna_summary_submit = document.getElementById('masna_summary_submit');
		if (masna_summary_submit.addEventListener) {
			masna_summary_submit.addEventListener('click', clickHandlerMasnaSummarySubmit, true);
		} else if(masna_summary_submit.attachEvent) {
			masna_summary_submit.attachEvent('onclick', function(){ return clickHandlerMasnaSummarySubmit.apply(masna_suggest_submit, [window.event])});
		}

		
		function clickHandlerMasnaTextFromWordpressForSummary(){
			var childNodes = document.getElementById('content_ifr').contentWindow.document.getElementById('tinymce').childNodes;
			var total_content = "";
			childNodes.forEach(getIframeText);

			function getIframeText(value) {
				total_content += value.textContent + ".\n";
			}
			var new_total_content = total_content.replace("..\n", ".\n");
			new_total_content = new_total_content.replace("?.\n", ".\n");
			new_total_content = new_total_content.replace("!.\n", ".\n");
			new_total_content = new_total_content.replace(";.\n", ".\n");
			new_total_content = new_total_content.replace("؟.\n", ".\n");
			document.getElementById('insert-text').value = new_total_content;
		}
		var masna_text_from_wordpress_for_summary = document.getElementById('masna_text_from_wordpress_for_summary');
		if (masna_text_from_wordpress_for_summary.addEventListener) {
			masna_text_from_wordpress_for_summary.addEventListener('click', clickHandlerMasnaTextFromWordpressForSummary, true);
		} else if(masna_text_from_wordpress_for_summary.attachEvent) {
			masna_text_from_wordpress_for_summary.attachEvent('onclick', function(){ return clickHandlerMasnaTextFromWordpressForSummary.apply(masna_text_from_wordpress_for_summary, [window.event])});
		}
	</script>
	<script>
		function clickHandlerMasnaTextFromWordpressForRewrite(){
			document.getElementById('insert-text-rewrite').innerHTML = document.getElementById('content_ifr').contentWindow.document.getElementById('tinymce').innerHTML;
		}
		var masna_text_from_wordpress_for_rewrite = document.getElementById('masna_text_from_wordpress_for_rewrite');
		if (masna_text_from_wordpress_for_rewrite.addEventListener) {
			masna_text_from_wordpress_for_rewrite.addEventListener('click', clickHandlerMasnaTextFromWordpressForRewrite, true);
		} else if(masna_text_from_wordpress_for_rewrite.attachEvent) {
			masna_text_from_wordpress_for_rewrite.attachEvent('onclick', function(){ return clickHandlerMasnaTextFromWordpressForRewrite.apply(masna_text_from_wordpress_for_rewrite, [window.event])});
		}

		function clickHandlerMasnaTextFromSummaryForRewrite(){
			document.getElementById('insert-text-rewrite').innerHTML = document.getElementById('masna_summary_result').value;
		}
		var masna_text_from_summary_for_rewrite = document.getElementById('masna_text_from_summary_for_rewrite');
		if (masna_text_from_summary_for_rewrite.addEventListener) {
			masna_text_from_summary_for_rewrite.addEventListener('click', clickHandlerMasnaTextFromSummaryForRewrite, true);
		} else if(masna_text_from_summary_for_rewrite.attachEvent) {
			masna_text_from_summary_for_rewrite.attachEvent('onclick', function(){ return clickHandlerMasnaTextFromSummaryForRewrite.apply(masna_text_from_summary_for_rewrite, [window.event])});
		}



		function clickHandlerMasnaRewriterWithCode(new_content, a_tags, img_tags){
			for (let i = 0; i < a_tags.length; i++) {
			  new_content = new_content.replace("M_A"+String(i), a_tags[i].outerHTML);
			}
			for (let i = 0; i < img_tags.length; i++) {
			  new_content = new_content.replace("M_IMG"+String(i)+".", img_tags[i].outerHTML);
			  new_content = new_content.replace("M_IMG"+String(i), img_tags[i].outerHTML);
			}
			document.getElementById('masna_rewrite_result').innerHTML = document.getElementById('insert-text-rewrite').innerHTML;
// 			document.getElementById('masna_content_ifr').contentWindow.document.getElementById('tinymce').innerHTML
// 			= document.getElementById('content_ifr').contentWindow.document.getElementById('tinymce').innerHTML;
// 			var childNodess = document.getElementById('masna_rewrite_result').childNodes;
			try { var childNodess = document.getElementById("masna_rewrite_result").getElementsByTagName("p")[0].parentNode.childNodes;}
			catch (error) {var childNodess = document.getElementById("masna_rewrite_result").childNodes;}
			var i = 0;
			const contentArray = new_content.split("\n");
			childNodess.forEach(replaceText);
			function replaceText(value) {
				console.log(value.outerHTML);
// 				if (value.innerHTML !== null && value.innerHTML !== "" && value.innerHTML != "<br>"){
				if (contentArray[i] == "" || contentArray[i] == "."){
					i += 1;
				}
				if (contentArray[i] == "" || contentArray[i] == "."){
					i += 1;
				}
				if (contentArray[i] == "" || contentArray[i] == "."){
					i += 1;
				}
				if (contentArray[i] == "" || contentArray[i] == "."){
					i += 1;
				}
				if (value.innerHTML != "<br>"){
				value.innerHTML = contentArray[i];
				i += 1;
				} 
				else {
// 					console.log(value.innerHTML);
				}
// 				console.log(contentArray[i]);
			}
		}
		function clickHandlerMasnaRewriterSubmit(){
			var eleminnerHTML = document.getElementById('insert-text-rewrite').innerHTML;
			a_tags = document.getElementById('insert-text-rewrite').getElementsByTagName("a");
			for (let i = 0; i < a_tags.length; i++) {
			  eleminnerHTML = eleminnerHTML.replace(a_tags[i].outerHTML, "M_A"+String(i));
			}
			img_tags = document.getElementById('insert-text-rewrite').getElementsByTagName("img");
			for (let i = 0; i < img_tags.length; i++) {
			  eleminnerHTML = eleminnerHTML.replace(img_tags[i].outerHTML, "M_IMG"+String(i));
			}
			document.getElementById('masna_rewrite_result').innerHTML = eleminnerHTML;
			var newtext = '<p>متن شما در حال بازنویسی است. از این که صبور هستید متشکریم!</p><p>این فرآیند بسته به طول متن شما ممکن است از ۳۰ ثانیه تا ۲ دقیقه طول بکشد. پیشنهاد میکنیم تا آماده شدن محتوا بازنویسی شده از مطالب سایت ما استفاده کنید.</p>';
			try { var childNodes = document.getElementById("masna_rewrite_result").getElementsByTagName("p")[0].parentNode.childNodes;}
			catch (error) {var childNodes = document.getElementById("masna_rewrite_result").childNodes;}
//                 var childNodes = document.getElementById('content_ifr').contentWindow.document.getElementById('tinymce').childNodes;
			var content = "";
			childNodes.forEach(addText);

			function addText(value) {
				if (value.innerHTML !== null && value.innerHTML !== "" && value.innerHTML != "<br>"){
					content += value.textContent + ".\n ";
// 					console.log(value.textContent);
				} else {
// 					console.log(value.innerHTML);
				}
			}
			content = content.replace("..\n ", ".\n ");
			content = content.replace("!.\n ", ".\n ");
			content = content.replace("?.\n ", ".\n ");
			content = content.replace(":.\n ", ".\n ");
			content = content.replace(";.\n ", ".\n ");
			content = content.replace("؟.\n ", ".\n ");
			document.getElementById('masna_rewrite_result').innerHTML = newtext;
			var masna_rewriter_selected = document.getElementById('masna_rewriter_selected').value;
			var request = new XMLHttpRequest();
			var url = "https://masna.ir/api/";
			request.open("POST", url, true);
			
			request.onreadystatechange = function () {
				if (request.readyState === 4 && request.status === 200) {
					var new_content = request.response;
					clickHandlerMasnaRewriterWithCode(new_content, a_tags, img_tags);
// 					var jsonData = JSON.parse(request.response);
				}
			};
			var data = new FormData();
			if (document.getElementById('#no_rewrite_1')){
				var no_rewrite_1 = document.getElementById('#no_rewrite_1').value;
				data.append('no_rewrite_1', no_rewrite_1);
			}
			if (document.getElementById('#no_rewrite_1')){
				var no_rewrite_2 = document.getElementById('#no_rewrite_2').value;
				data.append('no_rewrite_2', no_rewrite_2);
			}
			if (document.getElementById('#no_rewrite_1')){
				var no_rewrite_3 = document.getElementById('#no_rewrite_3').value;
				data.append('no_rewrite_3', no_rewrite_3);
			}
			data.append('user_id', '<?php echo get_option('user_id_masnaseo'); ?>');
			data.append('site_id', '<?php echo get_option('site_id_masnaseo'); ?>');
			data.append('site_name', location.hostname);
			var suggest_keyword =  document.getElementById("masna_suggest_keyword").value;
			data.append('rewrite_numb', masna_rewriter_selected);
			data.append('content', content);
			request.send(data);
		}
		var masna_rewriter_selected = document.getElementById('masna_rewriter_selected');
		if (masna_rewriter_selected.addEventListener) {
			masna_rewriter_selected.addEventListener('change', clickHandlerMasnaRewriterSubmit, true);
		} else if(masna_rewriter_selected.attachEvent) {
			masna_rewriter_selected.attachEvent('onchange', function(){ return clickHandlerMasnaRewriterSubmit.apply(masna_rewriter_selected, [window.event])});
		}

		function clickHandlerMasnaRewriterReplace(){
		document.getElementById('content_ifr').contentWindow.document.getElementById('tinymce').innerHTML = document.getElementById('masna_content_ifr').contentWindow.document.getElementById('tinymce').innerHTML;
//                 var childNodes = document.getElementById('content_ifr').contentWindow.document.getElementById('tinymce').childNodes;
//                 var content = "";
//                 var i = 0;
// 				var new_content = document.getElementById("new_content").value;
//                 const contentArray = new_content.split("\n");
//                 childNodes.forEach(myFunction);
//                 function myFunction(value) {
//                     if (contentArray[i]){
//                     value.innerHTML = contentArray[i];
//                     } else {}
//                     i += 1;
//                 }
		}
		var masna_rewriter_replace = document.getElementById('masna_rewriter_replace');
		if (masna_rewriter_replace.addEventListener) {
			masna_rewriter_replace.addEventListener('click', clickHandlerMasnaRewriterReplace, true);
		} else if(masna_rewriter_replace.attachEvent) {
			masna_rewriter_replace.attachEvent('onclick', function(){ return clickHandlerMasnaRewriterReplace.apply(masna_rewriter_replace, [window.event])});
		}
	</script>
<script>
document.addEventListener('DOMContentLoaded', function() {

	function clickHandlerSwitchMasnayarSubmit(){
	    const hostname = window.location.hostname;
	    const protocol = window.location.protocol;
		const url = protocol + "//" + hostname + "/wp-json/masnaapi/v1/set-assistant";
	    var request = new XMLHttpRequest();
		request.open("POST", url, true);
		request.onreadystatechange = function () {};
		var data = new FormData();
		if(document.getElementById('switch_masnayar').checked){
		    data.append('status', "active");
    	} else {
    	    data.append('status', "deactive");
    	}
		data.append('user_id', "<?php echo get_option("user_id_masnaseo"); ?>");
		data.append('site_id', "<?php echo get_option("site_id_masnaseo"); ?>");
		data.append('email', "<?php echo get_option("email_masnaseo"); ?>");
		data.append('post_id', <?php echo $post->ID; ?>);
		request.send(data);
	}
    var switch_masnayar = document.getElementById('switch_masnayar');
    if (switch_masnayar.addEventListener) {
    	switch_masnayar.addEventListener('click', clickHandlerSwitchMasnayarSubmit, true);
    } else if(switch_masnayar.attachEvent) {
    	switch_masnayar.attachEvent('onclick', function(){ return clickHandlerSwitchMasnayarSubmit.apply(switch_masnayar, [window.event])});
    }
});

</script>
	<?php
}

// add_action( 'add_meta_boxes', 'wporg_add_rewriter_box' );
// add_action( 'add_meta_boxes', 'wporg_add_suggest_box' );
// add_action( 'add_meta_boxes', 'wporg_add_summary_box' );
// add_action( 'add_meta_boxes', 'wporg_add_shortlinks_box' );
