<?php

function wporg_add_rewriter_box() {
    $screens = [ 'post', 'wporg_cpt' ];
    foreach ( $screens as $screen ) {
        add_meta_box(
            'masna_rewriter_box',                 // Unique ID
            'بازنویسی مقاله مثناسئو',      // Box title
            'wporg_rewriter_box_html',  // Content callback, must be of type callable
            $screen                            // Post type
        );
    }
}

function wporg_rewriter_box_html( $post ) {
    ?>
    
    <div style="width: 100%;">
    <div>
        <select name="masna_rewriter_selected" id="masna_rewriter_selected" class="postbox">
            <option value="">انتخاب متن برای بازنویسی</option>
            <option value="0">متن ۱</option>
            <option value="1">متن ۲</option>
            <option value="2">متن ۳</option>
            <option value="3">متن ۴</option>
            <option value="4">متن ۵</option>
            <option value="5">متن ۶</option>
            <option value="6">متن ۷</option>
            <option value="7">متن ۸</option>
            <option value="8">متن ۹</option>
            <option value="9">متن ۱۰</option>
        </select>
        <input id="no_rewrite_1" type="text" placeholder="این کلیدواژه بازنویسی نشود"><input id="no_rewrite_2" type="text" placeholder="این کلیدواژه بازنویسی نشود"><input id="no_rewrite_3" type="text" placeholder="این کلیدواژه بازنویسی نشود">
    <a id="masna_rewriter_replace" style="height: 100px;background-color: #2271b1;padding-top: 10px;padding-bottom: 10px;padding-left: 10px;padding-right: 10px;margin-right: 10px;margin-left: 10px;color: white;border-color: antiquewhite;cursor: pointer;">جاگزینی متن</a>
    </div>
    <?php the_editor($content, $id = 'masna_content', $prev_id = 'title', $media_buttons = true, $tab_index = 2); ?>
<!-- 		<div style="width: 100%;height: 200px;">
	
    <textarea id="new_content" style="width: 100%;height: 200px;"></textarea>
    </div> -->
    </div>
	<script>
		function clickHandlerMasnaRewriterWithCode(new_content, a_tags, img_tags){
			for (let i = 0; i < a_tags.length; i++) {
			  new_content = new_content.replace("MAS_A"+String(i), a_tags[i].outerHTML);
			}
			for (let i = 0; i < img_tags.length; i++) {
			  new_content = new_content.replace("MAS_IMG"+String(i), img_tags[i].outerHTML);
			}
			document.getElementById('masna_content_ifr').contentWindow.document.getElementById('tinymce').innerHTML
			= document.getElementById('content_ifr').contentWindow.document.getElementById('tinymce').innerHTML;
			var childNodess = document.getElementById('masna_content_ifr').contentWindow.document.getElementById('tinymce').childNodes;
			var i = 0;
			const contentArray = new_content.split("\n");
			childNodess.forEach(replaceText);
			function replaceText(value) {
				if (value.innerHTML !== null && value.innerHTML !== "" && value.innerHTML != "<br>"){
				value.innerHTML = contentArray[i];
				i += 1;
				} else {
					console.log(value.innerHTML)
				}
			}
		}
		function clickHandlerMasnaRewriterSubmit(){
			var eleminnerHTML = document.getElementById('content_ifr').contentWindow.document.getElementById('tinymce').innerHTML;
			a_tags = document.getElementById('content_ifr').contentWindow.document.getElementById('tinymce').getElementsByTagName("a");
			for (let i = 0; i < a_tags.length; i++) {
			  eleminnerHTML = eleminnerHTML.replace(a_tags[i].outerHTML, "MAS_A"+String(i));
			}
			img_tags = document.getElementById('content_ifr').contentWindow.document.getElementById('tinymce').getElementsByTagName("img");
			for (let i = 0; i < img_tags.length; i++) {
			  eleminnerHTML = eleminnerHTML.replace(img_tags[i].outerHTML, "MAS_IMG"+String(i));
			}
			document.getElementById('masna_content_ifr').contentWindow.document.getElementById('tinymce').innerHTML = eleminnerHTML;
			var childNodes = document.getElementById('masna_content_ifr').contentWindow.document.getElementById('tinymce').childNodes;
			var newtext = '<p>متن شما در حال بازنویسی است. از این که صبور هستید متشکریم!</p><p>این فرآیند بسته به طول متن شما ممکن است از ۳۰ ثانیه تا ۲ دقیقه طول بکشد. پیشنهاد میکنیم تا آماده شدن محتوا بازنویسی شده از مطالب سایت ما استفاده کنید.</p>';

//                 var childNodes = document.getElementById('content_ifr').contentWindow.document.getElementById('tinymce').childNodes;
			var content = "";
			childNodes.forEach(addText);

			function addText(value) {
				if (value.innerHTML !== null && value.innerHTML !== "" && value.innerHTML != "<br>"){
				  content += value.textContent + "\n ";
				} else {
					console.log(value.innerHTML);
				}
			}
			document.getElementById('masna_content_ifr').contentWindow.document.getElementById('tinymce').innerHTML = newtext;
			var masna_rewriter_selected = document.getElementById('masna_rewriter_selected').value;
			var request = new XMLHttpRequest();
			var url = "https://masna.ir/api/";
			request.open("POST", url, true);
			
			request.onreadystatechange = function () {
				if (request.readyState === 4 && request.status === 200) {
					var new_content = request.response;
					clickHandlerMasnaRewriterWithCode(new_content, a_tags, img_tags);
// 					var jsonData = JSON.parse(request.response);
					
				}
			};
			var data = new FormData();
			if (document.getElementById('#no_rewrite_1')){
				var no_rewrite_1 = document.getElementById('#no_rewrite_1').value;
				data.append('no_rewrite_1', no_rewrite_1);
			}
			if (document.getElementById('#no_rewrite_1')){
				var no_rewrite_2 = document.getElementById('#no_rewrite_2').value;
				data.append('no_rewrite_2', no_rewrite_2);
			}
			if (document.getElementById('#no_rewrite_1')){
				var no_rewrite_3 = document.getElementById('#no_rewrite_3').value;
				data.append('no_rewrite_3', no_rewrite_3);
			}
			data.append('user_id', '<?php echo get_option('user_id_masnaseo'); ?>');
			data.append('site_id', '<?php echo get_option('site_id_masnaseo'); ?>');
			data.append('site_name', location.hostname);
			var suggest_keyword =  document.getElementById("masna_suggest_keyword").value;
			data.append('rewrite_numb', masna_rewriter_selected);
			data.append('content', content);
			request.send(data);
		}
		var masna_rewriter_selected = document.getElementById('masna_rewriter_selected');
		if (masna_rewriter_selected.addEventListener) {
			masna_rewriter_selected.addEventListener('change', clickHandlerMasnaRewriterSubmit, true);
		} else if(masna_rewriter_selected.attachEvent) {
			masna_rewriter_selected.attachEvent('onchange', function(){ return clickHandlerMasnaRewriterSubmit.apply(masna_rewriter_selected, [window.event])});
		}

		function clickHandlerMasnaRewriterReplace(){
			document.getElementById('content_ifr').contentWindow.document.getElementById('tinymce').innerHTML = document.getElementById('masna_content_ifr').contentWindow.document.getElementById('tinymce').innerHTML;
//                 var childNodes = document.getElementById('content_ifr').contentWindow.document.getElementById('tinymce').childNodes;
//                 var content = "";
//                 var i = 0;
// 				var new_content = document.getElementById("new_content").value;
//                 const contentArray = new_content.split("\n");
//                 childNodes.forEach(myFunction);
//                 function myFunction(value) {
//                     if (contentArray[i]){
//                     value.innerHTML = contentArray[i];
//                     } else {}
//                     i += 1;
//                 }
		}
		var masna_rewriter_replace = document.getElementById('masna_rewriter_replace');
		if (masna_rewriter_replace.addEventListener) {
			masna_rewriter_replace.addEventListener('click', clickHandlerMasnaRewriterReplace, true);
		} else if(masna_rewriter_replace.attachEvent) {
			masna_rewriter_replace.attachEvent('onclick', function(){ return clickHandlerMasnaRewriterReplace.apply(masna_rewriter_replace, [window.event])});
		}
	</script>
    <?php
}